Bug 1507402 - Fedora 26 server - wget - gnutls/p11-kit/OpenSC - pcsc-lite/pcscd - polkit
Summary: Fedora 26 server - wget - gnutls/p11-kit/OpenSC - pcsc-lite/pcscd - polkit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-30 07:09 UTC by Nikos Mavrogiannopoulos
Modified: 2017-12-12 13:43 UTC (History)
3 users (show)

Fixed In Version: gnutls-3.5.16-2.fc27 gnutls-3.5.16-2.fc26 gnutls-3.5.16-3.fc26 gnutls-3.5.16-3.fc27 gnutls-3.5.16-4.fc27 gnutls-3.5.16-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:22:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2017-10-30 07:09:40 UTC
[original report by Ted Lyngmo]

wget        1.19.1-3.fc26
gnutls      3.5.16-1.fc26
p11-kit     0.23.9-2.fc26
opensc      0.17.0-1.fc26
pcsc-lite   1.8.22-1.fc26
polkit      0.113-8.fc26

Whenever a user is using wget to fetch a webpage via https, I'll get messages like this in /var/log/messages:

2017-09-21T10:54:35+02:00 ninja pcscd[2721]: 03445385 auth.c:137:IsClientAuthorized() Process 48952 (user: 48) is NOT authorized for action: access_pcsc
2017-09-21T10:54:35+02:00 ninja pcscd[2721]: 00000279 winscard_svc.c:335:ContextThread() Rejected unauthorized PC/SC client
This started after upgrading to F26 (or possibly F25 which was installed for a few days). I have no idea why wget (via one of the libraries involved, possibly gnutls) would try to access the smart card reader without the user telling it to. Even though it fails getting access to a reader (which I've currently got none), the https pages are received just fine.

curl is linked with libssh2 and works without triggering these kinds of messages.


References

Fedora forum:
https://forums.fedoraforum.org/showthread.php?t=315778

Discussion with pcsc's creator who helped me narrowing the problem down a bit:
https://github.com/LudovicRousseau/PCSC/issues/26

Denied bug report in wget:
http://lists.gnu.org/archive/html/bug-wget/2017-10/msg00025.html

Denied bug report in polkit:
https://bugs.freedesktop.org/show_bug.cgi?id=103483

Comment 1 Nikos Mavrogiannopoulos 2017-10-30 08:00:17 UTC
https://gitlab.com/gnutls/gnutls/issues/315

Comment 2 Nikos Mavrogiannopoulos 2017-11-01 15:41:22 UTC
Scratch build for testing: https://koji.fedoraproject.org/koji/taskinfo?taskID=22844551

Comment 3 Fedora Update System 2017-11-06 21:16:08 UTC
gnutls-3.5.16-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8c4502b71

Comment 4 Fedora Update System 2017-11-09 08:16:30 UTC
gnutls-3.5.16-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4a095800d2

Comment 5 Fedora Update System 2017-11-11 17:29:53 UTC
gnutls-3.5.16-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4a095800d2

Comment 6 Fedora Update System 2017-11-14 15:33:27 UTC
gnutls-3.5.16-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-11-22 02:27:22 UTC
gnutls-3.5.16-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Ted Lyngmo 2017-11-22 10:02:18 UTC
I received gnutls-3.5.16-2.fc26 via dnf upgrade Today but although the scratch build for fc26 worked without triggering these events, the new version still does.

Comment 9 Fedora Update System 2017-11-22 14:29:38 UTC
gnutls-3.5.16-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cccb086895

Comment 10 Fedora Update System 2017-11-22 14:30:16 UTC
gnutls-3.5.16-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b648c13d0c

Comment 11 Nikos Mavrogiannopoulos 2017-11-22 15:04:28 UTC
It seems that the previous builds didn't include the patch to address the bug.

Comment 12 Fedora Update System 2017-11-22 21:43:27 UTC
gnutls-3.5.16-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cccb086895

Comment 13 Fedora Update System 2017-11-25 01:34:07 UTC
gnutls-3.5.16-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b648c13d0c

Comment 14 Fedora Update System 2017-11-28 16:25:14 UTC
gnutls-3.5.16-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-28 23:55:10 UTC
gnutls-3.5.16-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-12-04 09:14:24 UTC
gnutls-3.5.16-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cd40c4ea61

Comment 17 Fedora Update System 2017-12-04 10:32:43 UTC
gnutls-3.5.16-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e97212aae

Comment 18 Fedora Update System 2017-12-08 23:26:44 UTC
gnutls-3.5.16-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cd40c4ea61

Comment 19 Fedora Update System 2017-12-09 00:02:42 UTC
gnutls-3.5.16-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e97212aae

Comment 20 Fedora Update System 2017-12-12 11:22:17 UTC
gnutls-3.5.16-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-12-12 13:43:16 UTC
gnutls-3.5.16-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.